LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Gentoo (http://www.linuxquestions.org/questions/gentoo-87/)
-   -   list all dependencies when one, or more, blocked by 'masked by: ~amd64 keyword'? (http://www.linuxquestions.org/questions/gentoo-87/list-all-dependencies-when-one-or-more-blocked-by-%27masked-by-%7Eamd64-keyword%27-747981/)

zymos 08-16-2009 04:42 PM

list all dependencies when one, or more, blocked by 'masked by: ~amd64 keyword'?
 
I was to be able to do an 'emerge -p' with a package that has one or more deps masked. then i can fix all blocks at the same time instead of one at a time

ie
emerge -av x11-drivers/ati-drivers -p

!!! All ebuilds that could satisfy ">=x11-base/xorg-server-1.5.3-r7" have been masked.
!!! All ebuilds that could satisfy ">=app-admin/eselect-opengl-1.0.7" have been masked.
!!! All ebuilds that could satisfy ">=x11-libs/libXfont-1.4.0" have been masked.
!!! All ebuilds that could satisfy ">=x11-proto/randrproto-1.2.99.4" have been masked.
......

Currently i have to try to emerge, find and correct block, then try again, find and correct the new block, then try again, .....

i tried 'emerge -av x11-drivers/ati-drivers -p --keep-going' with no luck


thanks
Jeff

jrtayloriv 08-16-2009 05:32 PM

You might want to look into autounmask.

--jrtayloriv

d2_racing 08-18-2009 11:28 PM

Hi, you need to add these lines inside /etc/portage/package.keywords

Code:

>=x11-base/xorg-server-1.5.3-r7
>=app-admin/eselect-opengl-1.0.7
>=x11-libs/libXfont-1.4.0
>=x11-proto/randrproto-1.2.99.4



All times are GMT -5. The time now is 08:06 AM.